package com.yihu.hos.resource.service;

import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.resource.model.RsResourceCategory;

import java.util.Map;

/**
 * Created by chenweida on 2015/12/15.
 */
public interface IRsCategoryService {
    Result getList(Map<String, Object> conditionMap) throws Exception;

    RsResourceCategory getCategoryById(String id) throws Exception;

    Result createCategory(RsResourceCategory rrc) throws Exception;

    Result updateCategory(RsResourceCategory rrc) throws Exception;

    Result deleteCategory(String id) throws Exception;

    Result getCategoryWithOutId(String id) throws Exception;
}
